Bug 903826 - Review Request: perl-Net-Domain-TLD - Work with TLD names
Review Request: perl-Net-Domain-TLD - Work with TLD names
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Petr Šabata
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 904329
  Show dependency treegraph
 
Reported: 2013-01-24 16:47 EST by Normunds
Modified: 2016-08-14 12:27 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-01 08:56:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
psabata: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Normunds 2013-01-24 16:47:25 EST
Spec URL: http://unibackup.rule.lv/FedoraRPM/perl-Net-Domain-TLD.spec
SRPM URL: http://unibackup.rule.lv/FedoraRPM/perl-Net-Domain-TLD-1.69-1.fc16.src.rpm
Description: The purpose of this module is to provide user with current list of available top level domain names including new ICANN additions and CC TLDs
Fedora Account System Username: normunds
Comment 1 Normunds 2013-01-24 16:58:23 EST
Bug 903829, Bug 903826, Bug 903824 are my first Fedora packages, yet more to come. I checked them with both Mock and Koji for all Fedora releases (16, 17, 18, 19, rawhide).
Comment 2 Normunds 2013-01-26 05:20:44 EST
All packages mentioned below were tested with rpmlint, mock (for i386 arch) and koji (16, 17, 18, 19, rawhide). These are my first packages for Fedora, so if you find something to improve in one of them, don't bother, I'll check other packages for reported problems.

Need sponsor.

bug 903824 perl-Convert-Age.spec
bug 903826 perl-Net-Domain-TLD.spec
bug 903829 perl-Time-Interval.spec
bug 904328 perl-Config-ApacheFormat.spec
bug 904329 perl-Data-Validate-Domain.spec
bug 904330 perl-Data-Validate-IP.spec
bug 904331 perl-Shell.spec

Thanks.
Comment 3 Petr Šabata 2013-01-28 07:56:22 EST
Also taking this one...
Comment 4 Petr Šabata 2013-01-28 08:06:23 EST
Issues:

Command macros (see #903824).

Missing build-time dependencies:
perl(base), lib/Net/Domain/TLD.pm:3
perl(Carp), lib/Net/Domain/TLD.pm:9
perl(constant), lib/Net/Domain/TLD.pm:12
perl(Exporter), lib/Net/Domain/TLD.pm:3
perl(Storable), lib/Net/Domain/TLD.pm:10

Substite PERL_INSTALL_ROOT with preferred DESTDIR.

Line 43 is not required.

I'd remove the last sentence and the links from the package description.
Comment 5 Normunds 2013-01-28 16:59:55 EST
Spec file and src package updated.

 * Fixed dependencies.
 * Replaced PERL_INSTALL_ROOT with preferred DESTDIR.
 * Replaced macros with simple commands.
 * Removed useless lines
 * Fixed long description.

New package overwritten in original location.
Comment 6 Petr Šabata 2013-01-29 09:36:12 EST
You could also drop the %{__perl} macro on the MODULE_COMPAT line.
Anyway, the package looks good and I'll approve it once you get sponsored.
Comment 7 Petr Šabata 2013-01-29 09:43:26 EST
Sponsored.  Approving.
Comment 8 Normunds 2013-01-31 17:02:23 EST
Removed macro, re-checked dependencies, removed e-mail from changelog.

New Package SCM Request
=======================
Package Name: perl-Net-Domain-TLD
Short Description: Work with TLD names
Owners: normunds psabata
Branches: f16 f17 f18
InitialCC: perl-sig
Comment 9 Jon Ciesla 2013-02-01 08:48:55 EST
This is already in Fedora:
https://admin.fedoraproject.org/pkgdb/acls/name/perl-Net-Domain-TLD
Comment 10 Petr Šabata 2013-02-01 08:56:58 EST
(In reply to comment #9)
> This is already in Fedora:
> https://admin.fedoraproject.org/pkgdb/acls/name/perl-Net-Domain-TLD

Indeed, sorry for that.

Note You need to log in before you can comment on or make changes to this bug.